Bug 140912 - routed does not delete default routerp
Summary: routed does not delete default routerp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: routed   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Alan Cox
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-26 11:52 UTC by Dirk Nehring
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 17:42:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dirk Nehring 2004-11-26 11:52:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Opera 
7.54  [en]

Description of problem:
We are using routed in with a RIP-Router which propagates a default 
route. routed correctly accepts the default route and insert it into 
the routing table.

From console:

routed -d -t

works, after pressing CTRL-C routed correctly deletes the learned 
default route.

service routed start

works.

service routed stop

DOESN'T WORK, the default route is still there.

Version-Release number of selected component (if applicable):
routed-0.17-18

How reproducible:
Always

Steps to Reproduce:
1. service routed start
2. service routed stop
3. ip route show
    

Actual Results:  2 default routes

Expected Results:  1 default routes

Additional info:

Comment 1 Dirk Nehring 2004-11-26 12:52:21 UTC
This fixes the problem:

--- /etc/init.d/routed.orig     2004-11-26 13:46:05.435892872 +0100
+++ /etc/init.d/routed  2004-11-26 13:55:49.520098576 +0100
@@ -39,7 +39,7 @@
 
 stop() {
        echo -n $"Stopping routed (RIP) services: "
-       killproc routed
+       killproc routed -2
        RETVAL=$?
        echo
        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/routed


Comment 2 Alan Cox 2004-11-26 13:23:01 UTC
I would normally suggest people use a rip-2 aware tool or OSPF. Thanks
for the patch.  I will roll a new package when I get some time. 




Note You need to log in before you can comment on or make changes to this bug.